Field.TermVector (Lucene 2.4.1 API)
Keywords: org.apache.lucene.document.Field.TermVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.document
Class Field.TermVector

    java.lang.Object
      org.apache.lucene.util.Parameter
          org.apache.lucene.document.Field.TermVector

All Implemented Interfaces:
  Serializable

Enclosing class:
  Field

    public static final class Field.TermVector

extends Parameter
implements Serializable

Specifies whether and how a field should have term vectors.

See Also:
  Serialized Form

Field Summary
`static Field.TermVector` | `NO` Do not store term vectors.
`static Field.TermVector` | `WITH_OFFSETS` Store the term vector + Token offset information
`static Field.TermVector` | `WITH_POSITIONS` Store the term vector + token position information
`static Field.TermVector` | `WITH_POSITIONS_OFFSETS` Store the term vector + Token position and offset information
`static Field.TermVector` | `YES` Store the term vectors of each document.

Method Summary

Methods inherited from class org.apache.lucene.util.Parameter
`readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO

    public static final Field.TermVector NO

  Do not store term vectors.

### YES

    public static final Field.TermVector YES

  Store the term vectors of each document. A term vector is a list of the document's terms and their number of occurences in that document.

### WITH_POSITIONS

    public static final Field.TermVector WITH_POSITIONS

  Store the term vector + token position information

  See Also:
    `YES`

### WITH_OFFSETS

    public static final Field.TermVector WITH_OFFSETS

  Store the term vector + Token offset information

  See Also:
    `YES`

### WITH_POSITIONS_OFFSETS

    public static final Field.TermVector WITH_POSITIONS_OFFSETS

  Store the term vector + Token position and offset information

  See Also:
    `YES`, `WITH_POSITIONS`, `WITH_OFFSETS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.